#include <eedb/Session.hpp>

#include <eedb/auth/PgUserAuth.hpp>
#include <eedb/db/connection.hpp>

namespace eedb {
WebSession::WebSession(std::unique_ptr< eedb::db::PgConnection > dbConnection,
  const Wt::WEnvironment & env)
 : _dbConnection(std::move(dbConnection)), _env(env) {}

db::PgConnection & WebSession::db() {
    return *_dbConnection;
}

const Wt::WEnvironment & WebSession::enviroment() const {
    return _env;
}

Wt::Auth::Login & WebSession::login() {
    return _login;
}
}
